Starmade | Uplink does not save
Resolved, needs quality check / confirm fix, HighPublic

Description

The uplink in my game client never saves. I click the option to save login every time but it never works.

I'm not sure what information I need to include for this report, so let me know what files I need to retrieve and upload if any.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
none/unspecified
Reproducible
Yes
Category
Ingame GUI/HUD
First occurrence (version)
0.198.131 (main menu update)
Hardware/Software/System
OS-Specific
OSX Only
Hardware-Specific
No
Video Card Vendor
Intel
Video Card Model
Intel HD Graphics 3000 384MB
User/Reporter/Contact
Username on Registry
Valiant70
Steps to reproduce
  1. Using a Mac OS
  2. uplink on the mulitplayer connection to the registry
  3. play and exit game
  4. on restart the uplink is gone
Tester information (Internal use only)

cant test this myself.
had asked around on slack and got confirmation that this is an issue for quit some time

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Java Version (64bit)

$ java -version
java version "1.8.0_92"
Java(TM) SE Runtime Environment (build 1.8.0_92-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.92-b14, mixed mode)

SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.
SmilingDemon triaged this task as "Normal" priority.
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".

-Feedback-

are you talking about the Login at the start of the Launcher or
about the Uplink to the Registry for validation to game servers ?

and you are Using a Mac for this .. right ?

I'm talking about uplinking for game servers.
Yes, this is a Mac.

SmilingDemon edited Tester information (Internal use only). (Show Details)
SmilingDemon changed Reproducible from uncertain to Yes.
SmilingDemon changed OS-Specific from No to OSX Only.
SmilingDemon changed the task status from "Open" to "In Queue (Game)".
SmilingDemon raised the priority of this task from "Normal" to "High".

-validated-
-confirmed-

Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptJul 22 2016, 10:09 AM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:05 PM
Restricted Application added a project: GUI/HUD. · View Herald TranscriptMar 10 2017, 5:05 PM
AndyP moved this task from Backlog / Unclassed to Alpha on the GUI/HUD board.Mar 15 2017, 1:28 PM
schema changed the task status from "In Queue" to "Resolved".Mar 21 2017, 4:57 AM
schema added a subscriber: schema.

Uplink now provided with launcher, so it should be fixed with that

Restricted Application added a project: Quality Assurance. · View Herald TranscriptMar 21 2017, 4:57 AM

Requires the launcher update to roll out first.